# Spec Output StreamIterator
Iter specialiazion for writing to streams.

Extends | StreamIterator
All Extended | Iter, StreamIterator
All Impl'd | IteratorAssociatedTypesConcept
Defined in |
Signature | `template <typename TStream> class Iter<TStream, StreamIterator<Output> >;`

## Template Parameters

`TStream` | The StreamConcept to iterate over.

## Member Function Overview

### Member Functions Inherited From Iter

- `Iter`

## Interface Function Overview

### Interface Functions Inherited From StreamIterator

- `reserveChunk`

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `operator*`
- `value`
- `getValue`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Iter

- `Container`
- `IterComplementConst`
- `IterMakeConst`
- `Spec`

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

#### Dox Sources

    /*!
     * @class OutputStreamIterator Output StreamIterator
     *
     * @extends StreamIterator
     *
     * @brief @link Iter @endlink specialiazion for writing to @link StreamConcept
     *        streams @endlink.
     *
     * @signature template <typename TStream> class Iter<TStream,
     *            StreamIterator<Output> >;
     *
     * @tparam TStream The @link StreamConcept @endlink to iterate over.
     */